//
//  IRController.h
//  IR
//
//  Created by Phidgets on 2015-07-28.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"
#import "PhidgetIRCodeInfo.h"

@interface IRController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetIRHandle ch;
    
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    
    //Code
    IBOutlet NSBox *codeBox;
    IBOutlet NSTextField *irCode0Text;
    IBOutlet NSTextField *bitLength0Text;
    IBOutlet NSTextField *repeatCodeText;

    //Learn
    IBOutlet NSBox *learnBox;
    IBOutlet NSTextField *irCode1Text;
    IBOutlet NSTextField *bitLength1Text;
    IBOutlet NSTextField *encodingText;
    IBOutlet NSTextField *gapText;
    IBOutlet NSTextField *trailText;
    IBOutlet NSTextField *zeroText;
    IBOutlet NSTextField *oneText;
    IBOutlet NSTextField *headerText;
    IBOutlet NSTextField *repeatText;
    IBOutlet NSTextField *toggleMaskText;
    IBOutlet NSButton *retransmitButton;
    IBOutlet NSTextField *retransmitLabel;
    
    IBOutlet NSButton *showRawDataCheck;
    //RAW Data
    IBOutlet NSBox *rawDataBox;
    IBOutlet NSTextView *rawDataLog;
    IBOutlet NSButton *transmitRawDataButton;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
